Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.tracing.modular
Class PathValues

    java.lang.Object
      de.grogra.ray2.tracing.modular.PathValues

Direct Known Subclasses:
  CombinedPathValues

    public class PathValues

extends java.lang.Object

Field Summary
`Color4f` | `color`
`int` | `creatorID`
`java.util.ArrayList<Environment>` | `envList`
`java.util.ArrayList<java.lang.Float>` | `geometryFactorsBE`
`Light[]` | `hitLights`
`Spectrum3d` | `initialSpectrum`
`java.util.ArrayList<Intersection>` | `intersecList`
`int` | `pathLength`
`float` | `pathResultList`
`java.util.ArrayList<Line>` | `rayListBE`
`java.util.ArrayList<Scattering>` | `shaderList`
`boolean[]` | `specReflectionList`
`boolean[]` | `specRefractionList`
`java.util.ArrayList<Spectrum>` | `weightListBE`

Constructor Summary
`PathValues()`

Method Summary
`void` | `initialize(int size)`
`boolean` | `isSpecular(int index)`
`void` | `saveGeometryFactor(int i, float geoFac)`
`void` | `saveHitLight(int index, Light hitLight)`
`void` | `savePathLenght(int depth)`
`void` | `saveProbabilityDensity(int i, float probDens)`
`void` | `saveResult(float value)`
`void` | `saveValues(int i, Line r, Intersection desc, Environment env, Spectrum spec, Scattering sh, boolean isSpec, boolean isRefrac)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### color

    public Color4f color

### creatorID

    public int creatorID

### envList

    public java.util.ArrayList<Environment> envList

### geometryFactorsBE

    public java.util.ArrayList<java.lang.Float> geometryFactorsBE

### hitLights

    public Light[] hitLights

### initialSpectrum

    public Spectrum3d initialSpectrum

### intersecList

    public java.util.ArrayList<Intersection> intersecList

### pathLength

    public int pathLength

### pathResultList

    public float pathResultList

### rayListBE

    public java.util.ArrayList<Line> rayListBE

### shaderList

    public java.util.ArrayList<Scattering> shaderList

### specReflectionList

    public boolean[] specReflectionList

### specRefractionList

    public boolean[] specRefractionList

### weightListBE

    public java.util.ArrayList<Spectrum> weightListBE

Constructor Detail

### PathValues

    public PathValues()

Method Detail

### initialize

    public void initialize(int size)

### isSpecular

    public boolean isSpecular(int index)

### saveGeometryFactor

    public void saveGeometryFactor(int i,
                                   float geoFac)

### saveHitLight

    public void saveHitLight(int index,
                             Light hitLight)

### savePathLenght

    public void savePathLenght(int depth)

### saveProbabilityDensity

    public void saveProbabilityDensity(int i,
                                       float probDens)

### saveResult

    public void saveResult(float value)

### saveValues

    public void saveValues(int i,
                           Line r,
                           Intersection desc,
                           Environment env,
                           Spectrum spec,
                           Scattering sh,
                           boolean isSpec,
                           boolean isRefrac)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD